> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get News Assets

> Get the assets that Messari News covers. Use the returned slug or id to filter the news feed by asset.

Returns the assets that Messari News covers, paginated. Use the returned `slug` or `id` to filter
the [news feed](/api-reference/endpoints/news/get-v1-news-feed) by asset.


## OpenAPI

````yaml GET /news/v1/news/assets
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - News V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /news/v1/news/assets:
    get:
      tags:
        - news/News
      summary: Get News Assets
      description: >-
        Get the assets that Messari News covers. Use the returned slug or id to
        filter the news feed by asset.
      operationId: GetNewsAssets
      parameters:
        - description: Number of results per page
          in: query
          name: limit
          schema:
            format: int64
            type: integer
            default: 10
        - description: Page number
          in: query
          name: page
          schema:
            format: int64
            type: integer
            default: 1
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/newsAsset'
                    type: array
                  error:
                    type: string
                  metadata:
                    $ref: '#/components/schemas/Pagination'
                required:
                  - data
                type: object
              example:
                error: null
                data:
                  - id: e587ecb4-9b03-43e3-9417-7694109efe3a
                    name: '#MetaHash'
                    slug: metahash
                    symbol: MHC
                  - id: 750efb56-136e-45db-ad05-7ae276bfaf02
                    name: $1
                    slug: 1-dollar-sol-coin
                    symbol: $1
                  - id: 59e2e22f-f1f2-4a43-8c07-bf9013ac634d
                    name: $COPPER
                    slug: copper
                    symbol: $copper
                  - id: 83f39f08-989e-49f0-8809-7452c77ed489
                    name: $DEZ
                    slug: dez
                    symbol: dez
                  - id: de62f840-6cfa-4e43-b6ba-fbf2cef51f19
                    name: $DOG (Ordinals)
                    slug: dog-ordinals-0
                    symbol: $dog
                metadata:
                  limit: 10
                  page: 1
                  totalRows: 20746
                  totalPages: 2075
          description: OK
      security:
        - apiKey: []
components:
  schemas:
    newsAsset:
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        symbol:
          type: string
      type: object
    Pagination:
      properties:
        limit:
          format: int64
          type: integer
        page:
          format: int64
          type: integer
        totalPages:
          format: int64
          type: integer
        totalRows:
          format: int64
          type: integer
      required:
        - limit
        - page
        - totalPages
        - totalRows
      type: object
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````